package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bnl;
import com.brilliance.isc.vo.PtaInfosVo;
import com.brilliance.isc.vo.PtsptaQueryVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BnlMapper {

    int insert(Bnl record);

    int insertSelective(Bnl record);

    int updateByPrimaryKeySelective(Bnl record);

    int updateByPrimaryKey(Bnl record);

    int deleteByPrimaryKey(Bnl record);

    int deleteByIds(Collection<Object> collection);

    Bnl selectByPrimaryKey(Bnl record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Bnl> dyncRead(Map<String,Object> dyncMap);

    List<Bnl> selectByHhMc(Bnl bnl);

    List<Bnl> selectByCondition(Bnl bnl);

    Bnl selectByFqcyjg(String fqcyjg);

    //Ptap5组件获取bnl信息
    List<PtaInfosVo> getBnlByBankno(PtsptaQueryVo ptsptaVo);

    // Ptap5获取各个域的信息
    Bnl getPtsptaInfo5(String inr);

    List<Bnl> selectHhMc(Bnl bnl);

    String selectFukrhmByFqcyjg(String fqcyjg);
}